Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Class ForwardingListIterator<E>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.collect.ForwardingIterator<E>
              com.google.common.collect.ForwardingListIterator<E>

All Implemented Interfaces:
  Iterator<E>, ListIterator<E>

    @GwtCompatible
    public abstract class ForwardingListIterator<E>

extends ForwardingIterator<E>
implements ListIterator<E>

A list iterator which forwards all its method calls to another list iterator. Subclasses should override one or more methods to modify the behavior of the backing iterator as desired per the decorator pattern.

Since:
  2.0 (imported from Google Collections Library)
Author:
  Mike Bostock

Constructor Summary
`protected` | `ForwardingListIterator()` Constructor for use by subclasses.

Method Summary
`void` | `add(E element)`
`protected abstract ListIterator<E>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.
`boolean` | `hasPrevious()`
`int` | `nextIndex()`
`E` | `previous()`
`int` | `previousIndex()`
`void` | `set(E element)`

Methods inherited from class com.google.common.collect.ForwardingIterator
`hasNext, next, remove`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, next, remove`

Constructor Detail

### ForwardingListIterator

    protected ForwardingListIterator()

  Constructor for use by subclasses.

Method Detail

### delegate

    protected abstract ListIterator<E> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingIterator<E>`

### add

    public void add(E element)

  Specified by:
    `add` in interface `ListIterator<E>`

### hasPrevious

    public boolean hasPrevious()

  Specified by:
    `hasPrevious` in interface `ListIterator<E>`

### nextIndex

    public int nextIndex()

  Specified by:
    `nextIndex` in interface `ListIterator<E>`

### previous

    public E previous()

  Specified by:
    `previous` in interface `ListIterator<E>`

### previousIndex

    public int previousIndex()

  Specified by:
    `previousIndex` in interface `ListIterator<E>`

### set

    public void set(E element)

  Specified by:
    `set` in interface `ListIterator<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.